Module ij
Package ij.gui

# Interface DialogListener

All Known Implementing Classes:
  `AppearanceOptions`, `ArrowToolOptions`, `BackgroundSubtracter`, `Binary`, `CircularRoiMaker`, `Convolver`, `Coordinates`, `GaussianBlur`, `Grid`, `HyperStackReducer`, `ImageMath`, `MaximumFinder`, `OverlayLabels`, `PlotContentsDialog`, `PlotDialog`, `PlugInFilterRunner`, `PointToolOptions`, `RankFilters`, `RectToolOptions`, `ResultsTableMacros`, `RGBStackConverter`, `RoiDefaultsDialog`, `RoiEnlarger`, `Rotator`, `SpecifyROI`, `StackLabeler`, `Text`, `Translator`, `UnsharpMask`, `WandToolOptions`

public interface DialogListener
PlugIns or PlugInFilters that want to listen to changes in a GenericDialog without adding listeners for each dialog field should implementthis method. The dialogItemChanged method of a PlugIn or PlugInFilter can and should read the various dialog items by the appropriate GenericDialog methods like getNextNumber (items that are not read in the dialogItemChanged method will not be recorded by the Macro recorder). The PlugIn or PlugInFilter has to be added to the GenericDialog by its addDialogListener method: gd.addDialogListener(this);

## Method Summary

Modifier and Type
Method
Description
`boolean`
`dialogItemChanged(GenericDialog gd, AWTEvent e)`
This method is invoked by a Generic Dialog if any of the inputs have changed (CANCEL does not trigger it; OK and running the dialog from a macro only trigger the first DialogListener added to a GenericDialog).

## Method Details

### dialogItemChanged

boolean dialogItemChanged(GenericDialog gd, AWTEvent e)
This method is invoked by a Generic Dialog if any of the inputs have changed (CANCEL does not trigger it; OK and running the dialog from a macro only trigger the first DialogListener added to a GenericDialog).

Parameters:
  `gd` - A reference to the GenericDialog.
  `e` - The event that has been generated by the user action in the dialog. Note that `e` is `null` if the dialogItemChanged method is called after the user has pressed the OK button or if the GenericDialog has read its parameters from a macro.
Returns:
  Should be true if the dialog input is valid. False disables the OK button and preview (if any).